import { prismaClient } from "./prisma"

export async function seedDatabase() {
	if (await prismaClient.player.count() === 0) {
		await prismaClient.player.create({
			data: {
				name: "max",
				token: "max"
			}
		})

		await prismaClient.player.create({
			data: {
				name: "moritz",
				token: "moritz"
			}
		})
	}

	if (await prismaClient.game.count() === 0) {
		await prismaClient.game.create({
			data: {
				id: "game",
				lobbyCodeIfActive: "game"
			}
		})
	}
}